#!/bin/bash




/opt/MicroWorld/etc/init.d/mwcav stop
/usr/bin/killall -9 mwcavd
echo "Applying patch. Please wait.."

echo "Taking backup of old files..."
if [ -f "/opt/MicroWorld/lib/libclamav.so" ] 
then
        /bin/rm -f /opt/MicroWorld/lib/libclamav.so
fi
if [ -f "/opt/MicroWorld/lib/libclamav.so.1" ] 
then
        /bin/rm -f /opt/MicroWorld/lib/libclamav.so.1
fi
if [ -f "/opt/MicroWorld/lib/libclamav.so.2" ]
then
        /bin/rm -f /opt/MicroWorld/lib/libclamav.so.2
fi
if [ -f "/opt/MicroWorld/lib/libclamav.so.1.0.18" ]
then
        /bin/mv /opt/MicroWorld/lib/libclamav.so.1.0.18 "/opt/MicroWorld/lib/libclamav.so.1.0.18_$(date)"
fi
if [ -f "/opt/MicroWorld/lib/libclamav.so.2.0.8" ] 
then
        /bin/mv /opt/MicroWorld/lib/libclamav.so.2.0.8 "/opt/MicroWorld/lib/libclamav.so.2.0.8_$(date)"
fi

if [ -f "/opt/MicroWorld/sbin/mwcavd" ]
then
        /bin/mv /opt/MicroWorld/sbin/mwcavd "/opt/MicroWorld/sbin/mwcavd_$(date)"
fi
if [ -f "/opt/MicroWorld/usr/bin/freshmwcav" ]
then 
        /bin/mv /opt/MicroWorld/usr/bin/freshmwcav "/opt/MicroWorld/usr/bin/freshmwcav_$(date)"
fi
if [ -f "/opt/MicroWorld/usr/bin/sigtool" ]
then
        /bin/mv /opt/MicroWorld/usr/bin/sigtool "/opt/MicroWorld/usr/bin/sigtool_$(date)"
fi
if [ -f "/opt/MicroWorld/usr/bin/mwcavinfo" ]
then
        /bin/mv /opt/MicroWorld/usr/bin/mwcavinfo "/opt/MicroWorld/usr/bin/mwcavinfo_$(date)"
fi
if [ -f "/opt/MicroWorld/etc/mwcav/mwcavd.conf" ]
then
        /bin/mv /opt/MicroWorld/etc/mwcav/mwcavd.conf "/opt/MicroWorld/etc/mwcav/mwcavd.conf_$(date)"
fi
if [ -f "/opt/MicroWorld/etc/mwcav/freshmwcav.conf" ]
then
        /bin/mv /opt/MicroWorld/etc/mwcav/freshmwcav.conf "/opt/MicroWorld/etc/mwcav/freshmwcav.conf_$(date)"
fi
echo "Copying New Files"
/bin/cp -f mwcavd /opt/MicroWorld/sbin/mwcavd
/bin/cp -f freshmwcav /opt/MicroWorld/usr/bin/freshmwcav
/bin/cp -f sigtool /opt/MicroWorld/usr/bin/sigtool
/bin/cp -f mwcavinfo /opt/MicroWorld/usr/bin/mwcavinfo
/bin/cp -f libclamav.so.6.1.2 /opt/MicroWorld/lib
/bin/cp -f mwcavd.conf /opt/MicroWorld/etc/mwcav/mwcavd.conf
/bin/cp -f freshmwcav.conf /opt/MicroWorld/etc/mwcav/freshmwcav.conf
cd  /opt/MicroWorld/lib/
/bin/ln -sf libclamav.so.6.1.2 libclamav.so
/bin/ln -sf libclamav.so.6.1.2 libclamav.so.6
/bin/chown mwconf:mwconf /var/MicroWorld/var/log/mwcavd.log
/bin/chown mwconf:mwconf /var/MicroWorld/var/log/freshmwcav.log
/bin/chown mwconf:mwconf /opt/MicroWorld/etc/mwcav/mwcavd.conf
/bin/chown mwconf:mwconf /opt/MicroWorld/etc/mwcav/freshmwcav.conf
export LD_LIBRARY_PATH=/opt/MicroWorld/lib/
#echo $LD_LIBRARY_PATH
echo "Patch Applied Successfully.."
echo "Please Update Clam Antivirus and then Start the service by using following command..."
echo "/opt/MicroWorld/etc/init.d/mwcav start"
#/opt/MicroWorld/etc/init.d/mwcav start
